/****************************************************************************
 ***           G  L  O  B  A  L     F  L  O  A  T                         ***
 ****************************************************************************/

 double m,       /* current mass */
        mass,    /* mass of star (gm)*/
        massratio,/*mass of star in solar units*/
        massinc, /* increment for mass loop */
        radiusgrad [MAX_STEPS],
        tempgrad   [MAX_STEPS],
        lumgrad    [MAX_STEPS],
        pressgrad  [MAX_STEPS],
        densgrad   [MAX_STEPS],
        massgrad   [MAX_STEPS],
        tmassgrad  [MAX_STEPS],
        opctygrad  [MAX_STEPS],
        energygrad [MAX_STEPS],
        results  [4] [6], /* trial integration results at midpoint (p,t,l,r) */
        radius,  /* radius at current mass */
        temp,    /* temp at current mass */
        lum,     /* luminosity at current mass */
        density, /* density at current mass */
        pressure,/* pressure at current mass */
        opacity, /* opacity at current mass */
        u,       /* mean molecular weight */
        radratio,
        lumratio,
        coredensity,
        coretemp,
        corepress,
        efftemp,
        effpress,
        adj_p,
        adj_t,
        adj_l,
        adj_r,
        old_diff,
        cur_diff,
        fitptmass,/*mass fraction (from center) of fitting point*/
        poly,    /* polytrope exponent */
        B,       /* gas pressure ratio */
        X,Y,Z;   /* hydrogen, helium, metal fractions */


